This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 505033 - useradd cannot create an user with UID above 2147483647
useradd cannot create an user with UID above 2147483647
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: shadow-utils (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Peter Vrabec
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 09:06 EDT by Milos Malik
Modified: 2010-03-30 04:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:13:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2009-06-10 09:06:55 EDT
Description of problem:
useradd running on i386 or ppc64 rejects UIDs above 2147483647. Works well on ia64, x86_64 and s390x.

Version-Release number of selected component (if applicable):
shadow-utils-4.0.17-14.el5

How reproducible:
on i386 and ppc64 machines always

Steps to Reproduce:
# useradd -u 4294967293 biguser3
useradd: invalid numeric argument '4294967293'
# echo $?
3
# grep biguser3 /etc/passwd
# grep biguser3 /etc/group
  
Actual results:
new user is not created

Expected results:
new user gets created

Additional info:
Comment 1 RHEL Product and Program Management 2009-06-10 09:09:30 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 2 Milos Malik 2009-06-10 09:17:51 EDT
Tested on all architectures on both RHEL-4.8 and RHEL-5.3. RHEL-4.8 does not suffer from this issue.
Comment 4 Peter Vrabec 2009-06-10 11:01:35 EDT
easy fix, basically it would be nice to fix it together with #487575 and #484040.
Comment 9 errata-xmlrpc 2010-03-30 04:13:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0209.html

Note You need to log in before you can comment on or make changes to this bug.